## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate just

Name:           rust-just
Version:        1.14.0
Release:        %autorelease
Summary:        Just a command runner

License:        CC0-1.0
URL:            https://crates.io/crates/just
Source:         %{crates_source}
# Initial patched metadata
# - Exclude unwanted files
# - Drop cradle dependency, the crate cannot be packaged due to CC0 license
Patch0:         just-fix-metadata.diff
# Remove all uses of cradle
Patch1:         just-1.5.0-no-cradle.patch

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
just is a handy way to save and run project-specific commands.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# CC0-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        CC0-1.0 AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND MIT AND Unicode-DFS-2016 AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc GRAMMAR.md
%doc README.md
%doc README.中文.md
%doc crates-io-readme.md
%doc examples
%{_bindir}/just
%{_mandir}/man1/just.1*
%{_datadir}/bash-completion
%{_datadir}/fish/
%{_datadir}/zsh/site-functions

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/GRAMMAR.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/README.中文.md
%doc %{crate_instdir}/crates-io-readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+help4help2man-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+help4help2man-devel %{_description}

This package contains library source intended for building other packages which
use the "help4help2man" feature of the "%{crate}" crate.

%files       -n %{name}+help4help2man-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_license_summary
%cargo_build
%{cargo_license} >LICENSE.dependencies

%install
%cargo_install
install -dp %{buildroot}%{_mandir}/man1
install -p -m 644 man/just.1 %{buildroot}%{_mandir}/man1
install -dp %{buildroot}%{_datadir}/bash-completion/completions/
install -p -m 644 completions/just.bash %{buildroot}%{_datadir}/bash-completion/completions/just
install -dp %{buildroot}%{_datadir}/fish/vendor_completions.d
install -p -m 644 completions/just.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/just.fish
install -dp %{buildroot}%{_datadir}/zsh/site-functions
install -p -m 644 completions/just.zsh %{buildroot}%{_datadir}/zsh/site-functions/_just

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jun 03 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.14.0-1
- Update to 1.14.0 (#2212005)

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 1.13.0-2
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Thu Jan 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.13.0-1
- Update to 1.13.0 (#2164312)

* Mon Jan 23 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.12.0-1
- Update to 1.12 (#2160641)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 07 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.11.0-1
- Update to 1.11.0 (#2157519)

* Sat Nov 26 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0 (#2148570)

* Thu Nov 03 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0 (#2139564)

* Mon Oct 31 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0 (#2138073)

* Thu Oct 20 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0 (#2136345)

* Tue Oct 04 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.5.0-1
- Update to 1.5.0
- Drop rust-cradle dependency
- Exclude unwanted files

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.8-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 09:45:37 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.8-1
- Update to upstream 0.9.8; enable tests
- Add shell completions

* Sat Jul 03 12:57:26 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.6-1
- Initial package

